While the iOS 4.3.4 was designed specifically to patch a PDF vulnerability that made JailbreakMe possible (hot to JB with JailbreakMe). It didn’t take a full day before the jailbreak for the new firmware was released. We’re sure that it was ready to go and the makers were just waiting for Apple to update iOS so that they could release their jailbreak. Unfortunately, you will not be able to use it with the iPad 2. Still, our recommendation is to stick to iOS 4.3.3 and jailbreak via jailbreakMe.com after that, install PDF Patcher 2 and you’re set.

Here’s the word from the Dev-Team:

Update #3: For the convenience of kernel hackers like @comex and @i0n1c, we have a new redsn0w 0.9.8b3 that supports a TETHERED jailbreak for iOS 4.3.4 on all devices that have 4.3.4 except the iPad2. The vast majority of people will want to stay back at 4.3.3 because that’s where the untethered jailbreak is! There are no new features in 4.3.4 — only fixes for jailbreak exploits.

 
Comments